## org.gnu.gtk
Class ScrollType

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.ScrollType

public class ScrollType
extends org.gnu.glib.Enum

Field Summary
`static ScrollType` `END`
`static ScrollType` `JUMP`
`static ScrollType` `NONE`
`static ScrollType` `PAGE_BACKWARD`
`static ScrollType` `PAGE_DOWN`
`static ScrollType` `PAGE_FORWARD`
`static ScrollType` `PAGE_LEFT`
`static ScrollType` `PAGE_RIGHT`
`static ScrollType` `PAGE_UP`
`static ScrollType` `START`
`static ScrollType` `STEP_BACKWARD`
`static ScrollType` `STEP_DOWN`
`static ScrollType` `STEP_FORWARD`
`static ScrollType` `STEP_LEFT`
`static ScrollType` `STEP_RIGHT`
`static ScrollType` `STEP_UP`

Method Summary
`ScrollType` `and(ScrollType other)`
`static ScrollType` `intern(int value)`
`ScrollType` `or(ScrollType other)`
`boolean` `test(ScrollType other)`
`ScrollType` `xor(ScrollType other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONE

    public static final ScrollType NONE

### JUMP

    public static final ScrollType JUMP

### STEP_BACKWARD

    public static final ScrollType STEP_BACKWARD

### STEP_FORWARD

    public static final ScrollType STEP_FORWARD

### PAGE_BACKWARD

    public static final ScrollType PAGE_BACKWARD

### PAGE_FORWARD

    public static final ScrollType PAGE_FORWARD

### STEP_UP

    public static final ScrollType STEP_UP

### STEP_DOWN

    public static final ScrollType STEP_DOWN

### PAGE_UP

    public static final ScrollType PAGE_UP

### PAGE_DOWN

    public static final ScrollType PAGE_DOWN

### STEP_LEFT

    public static final ScrollType STEP_LEFT

### STEP_RIGHT

    public static final ScrollType STEP_RIGHT

### PAGE_LEFT

    public static final ScrollType PAGE_LEFT

### PAGE_RIGHT

    public static final ScrollType PAGE_RIGHT

### START

    public static final ScrollType START

### END

    public static final ScrollType END

Method Detail

### intern

    public static ScrollType intern(int value)

### or

    public ScrollType or(ScrollType other)

### and

    public ScrollType and(ScrollType other)

### xor

    public ScrollType xor(ScrollType other)

### test

    public boolean test(ScrollType other)